Bug 1654239 (CVE-2018-11766) - CVE-2018-11766 hadoop: Privilege escalation to root (Incomplete fix for CVE-2016-6811)
Summary: CVE-2018-11766 hadoop: Privilege escalation to root (Incomplete fix for CVE-2...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-11766
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1654240
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-28 10:18 UTC by Andrej Nemec
Modified: 2019-09-29 15:03 UTC (History)
12 users (show)

Fixed In Version: hadoop 2.7.7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:43:22 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2018-11-28 10:18:23 UTC
In Apache Hadoop 2.7.4 to 2.7.6, the security fix for CVE-2016-6811 is incomplete. A user who can escalate to yarn user can possibly run arbitrary commands as root user.

References:

https://seclists.org/oss-sec/2018/q4/185

External References:

https://lists.apache.org/thread.html/ff37bbbe09d5f03090e2dd2c3dea95de16ef4249e731f19b8959ce4c@%3Cgeneral.hadoop.apache.org%3E

Comment 1 Andrej Nemec 2018-11-28 10:18:34 UTC
Created hadoop tracking bugs for this issue:

Affects: fedora-all [bug 1654240]


Note You need to log in before you can comment on or make changes to this bug.